#include "legato.h"
#include "interfaces.h"

#define FILE_TEST_NAME "test.txt"

COMPONENT_INIT
{
    LE_INFO("FileSharing_User");
    int fd;
    int iRet = -1;
    fs_Create(FILE_TEST_NAME);
    fs_GetFD(FILE_TEST_NAME, &fd);
    LE_INFO("FD: %d", fd);
    if (fd >=0 )
    {
		int iCount=0;
        char tmp[4];
		for (iCount=0;iCount<10;iCount++)
		{
			sprintf(tmp, "%d", iCount);
			iRet = write(fd,tmp, sizeof(tmp));
			LE_INFO("write return: %d", iRet);
			sleep(1);
		}
	}
    else
    {
    	LE_INFO ("GetFD Error");
    }
    fs_Delete(FILE_TEST_NAME);
}
